summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2015-12-16 04:13:28 +1100
committerMichael Palimaka <kensington@gentoo.org>2015-12-16 04:13:46 +1100
commitb0b596c323a60b491efc98e1bc034fc714a27d13 (patch)
tree699223536405d2dacae189b41fcd8e1f4f2e794d /www-client/qupzilla
parentsys-boot/grub:0 - Properly fix misoptimization by -fcombine-stack-adjustmemts... (diff)
downloadgentoo-b0b596c323a60b491efc98e1bc034fc714a27d13.tar.gz
gentoo-b0b596c323a60b491efc98e1bc034fc714a27d13.tar.bz2
gentoo-b0b596c323a60b491efc98e1bc034fc714a27d13.zip
www-client/qupzilla: version bump
Gentoo-bug: 564212 Package-Manager: portage-2.2.26
Diffstat (limited to 'www-client/qupzilla')
-rw-r--r--www-client/qupzilla/Manifest2
-rw-r--r--www-client/qupzilla/qupzilla-1.8.9.ebuild113
2 files changed, 115 insertions, 0 deletions
diff --git a/www-client/qupzilla/Manifest b/www-client/qupzilla/Manifest
index b51ed9ad194..7c995dcf583 100644
--- a/www-client/qupzilla/Manifest
+++ b/www-client/qupzilla/Manifest
@@ -1,2 +1,4 @@
DIST QupZilla-1.8.6.tar.xz 3205912 SHA256 aecda29f8994c9dc4d6b5f76ce5b1ba947272a0d5a40b5d83a54023dd5d7a6a5 SHA512 36f1c79b7932b76f3ecbc4d1ea1bb207fe7e0477a98d583e13ab7df1703a5529e2d599c42b8f0a6792692c09e257abfdec398a1537a9002c1fd98d2128f4b627 WHIRLPOOL e60f66749654bd135fa2552ed2d75095c00108be6992b5d0e1609d7b458690218e601af317b3219f6e106e19870e46207109659e8aa9182117532bda7481f8e3
+DIST QupZilla-1.8.9.tar.xz 3004644 SHA256 620ffb10a3f6b3f596c2c38a84d9c320cb66dd2d5e6701e8e31945e26308fcac SHA512 64ee064aa55f4aa1c56ca3a925dbec66612d522eec570a96448d940d52239cb74dfb08b89610008b3ee669cfb4b287393020b8070162697e991aa8c04c57c448 WHIRLPOOL 4f5864c35d008b64292afbfb615cbb33a9e327446d637cbcd1bf41d0e4ffa7a3cf6a529d1eda14cba6bf28664aa40ee743f812b165698ba997a90cb2285cbc0d
DIST qupzilla-plugins-2015.01.27.tar.gz 335585 SHA256 466d2cc4a0b904705e2d23b6c05be6d36c74065f81b24aa9b82be0e377960e55 SHA512 0354b96530eca72d27838acfcd6605c0a14095f741587b89d1d4292e57bebe54d17e49464dc0a41af99873031c69ef09120c07053452568caf16dca222f1371b WHIRLPOOL a849f120f7f7a9e4dae6fa9abb2d3a66295a4778101887e99248f1ebd46e9231481f99f1d8fd9478e12f5cedbc5be055948ebe026d504d6b5d2d362ee222ba49
+DIST qupzilla-plugins-2015.06.05.tar.gz 335627 SHA256 afc9589e54c3ed49f58c727c3ff7bd59d4467dfaf2ff78f57cd98afc4dfc1f7b SHA512 5f2a4b1796431c62580e569b57445b2a309b2314f59ceb0c99da2a1703a2ee23bd2d1cac8a1532be5f2161976b4dd5f439c08abe5c1826115e9adf636fc12522 WHIRLPOOL 10b53426888dc8868de783403463d0bbf83ee59fdf74f2409b78a725b4f90d08aa9698e622d3acfdedbca469397b2e3d4ed8f06d3112bd9cff6e76527b1611eb
diff --git a/www-client/qupzilla/qupzilla-1.8.9.ebuild b/www-client/qupzilla/qupzilla-1.8.9.ebuild
new file mode 100644
index 00000000000..3a45094cb3c
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-1.8.9.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_PN="QupZilla"
+MY_P=${MY_PN}-${PV}
+PLOCALES="ar_SA bg_BG ca_ES cs_CZ da_DK de_DE el_GR es_ES es_MX es_VE eu_ES fa_IR fi_FI fr_FR gl_ES he_IL hr_HR hu_HU id_ID it_IT ja_JP ka_GE lg lt lv_LV nl_NL nqo pl_PL pt_BR pt_PT ro_RO ru_RU sk_SK sr sr@ijekavian sr@ijekavianlatin sr@latin sv_SE tr_TR uk_UA uz@Latn zh_CN zh_TW"
+PLUGINS_HASH="7c66cb2efbd18eacbd04ba211162b1a042e5b759"
+PLUGINS_VERSION="2015.06.05" # if there are no updates, we can use the older archive
+
+inherit eutils l10n multilib qmake-utils vcs-snapshot
+
+DESCRIPTION="Qt WebKit web browser"
+HOMEPAGE="http://www.qupzilla.com/"
+SRC_URI="https://github.com/${MY_PN}/${PN}/releases/download/v${PV}/${MY_P}.tar.xz
+ https://github.com/${MY_PN}/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> ${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="dbus debug gnome-keyring kde libressl nonblockdialogs +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )
+ kde? ( qt4 )"
+
+RDEPEND="
+ x11-libs/libX11
+ gnome-keyring? ( gnome-base/gnome-keyring )
+ kde? (
+ kde-base/kdelibs:4
+ kde-apps/kwalletd:4
+ )
+ libressl? ( dev-libs/libressl )
+ !libressl? ( dev-libs/openssl:0 )
+ qt4? (
+ >=dev-qt/qtcore-4.8:4
+ >=dev-qt/qtgui-4.8:4
+ >=dev-qt/qtscript-4.8:4
+ >=dev-qt/qtsql-4.8:4[sqlite]
+ >=dev-qt/qtwebkit-4.8:4
+ dbus? ( >=dev-qt/qtdbus-4.8:4 )
+ )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dbus? ( dev-qt/qtdbus:5 )
+ )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ qt5? ( dev-qt/linguist-tools:5 )"
+
+DOCS=( AUTHORS CHANGELOG FAQ README.md )
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ rm_loc() {
+ # remove localizations the user has not specified
+ sed -i -e "/${1}.ts/d" translations/translations.pri || die
+ rm translations/${1}.ts || die
+ }
+
+ epatch_user
+
+ # remove outdated prebuilt localizations
+ rm -rf bin/locale || die
+
+ # remove empty locale
+ rm translations/empty.ts || die
+
+ # get extra plugins into qupzilla build tree
+ mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_VERSION}/plugins/* "${S}"/src/plugins/ || die
+
+ l10n_find_plocales_changes "translations" "" ".ts"
+ l10n_for_each_disabled_locale_do rm_loc
+}
+
+src_configure() {
+ # see BUILDING document for explanation of options
+ export \
+ QUPZILLA_PREFIX="${EPREFIX}/usr/" \
+ USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+ USE_QTWEBKIT_2_2=true \
+ DISABLE_DBUS=$(usex dbus '' 'true') \
+ KDE_INTEGRATION=$(usex kde 'true' '') \
+ NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs 'true' '')
+
+ if use qt4 ; then
+ eqmake4 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ else
+ eqmake5 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ fi
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+}
+
+pkg_postinst() {
+ if has_version www-plugins/adobe-flash; then
+ ewarn "For using adobe flash plugin you may need to run"
+ ewarn " \"paxctl-ng -m /usr/bin/qupzilla\""
+ fi
+}